{% extends 'base.html' %}
{% load static %} 

{% block content %}

<body class="hold-transition login-page"
      style="background-image: url({% static 'dist/img/background.jpg' %});height: 100%;
            width:95%;
            margin:0;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;">
<div class="login-box">
  <div class="login-logo">
    <a href="{% url 'login' %}"><b>Student </b>Management System</a>
  </div>
  <!-- /.login-logo -->
  <div class="card" >
    <div class="card-body login-card-body">
      <p class="login-box-msg">Sign in to Student Management System</p>
      <form action="{% url 'doLogin' %}" method="POST">
      {% csrf_token %}
        <div class="input-group mb-3">
          <input type="email" class="form-control" placeholder="Email" name="email">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="password" class="form-control" placeholder="Password" name="password">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>

          <div class="col-md-12">
            <button type="submit" class="btn btn-primary btn-sm btn-block">Sign In</button>
          </div>

          {% comment %} <div class="col-12 text-center">
            <a href="{% url 'password_reset' %}">Reset Password</a>
          </div>  {% endcomment %}

          {% comment %} Display Messages {% endcomment %}
          {% if messages %}
          <div class="col-12">
            {% for message in messages %}
              {% if message.tags == "error" %}
                <div class="alert alert-danger alert-dismissible fade show" role="alert" style="margin-top: 10px;">
                  {{ message }}
                  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
              {% endif %}
            {% endfor %}
          </div>
          {% endif %}

          <!-- /.col -->
        </div>
      </form>


  </div>
</div>
<!-- /.login-box -->

{% endblock %}